import io, openpyxl
	## Creamos una lista con la informacion de archivo_trabajo
archivo_trabajo = open("datos.txt", "r") # el archivo tiene que existir
archivo_excel = ""
items = archivo_trabajo.readlines() # lista creada, que tendremos que procesar
archivo_trabajo.close()
	## Ahora procesaremos la información de items en una lista con listas
items_procesado = list([])
for lectura in items:
	aux_lista = lectura.split("|")
	aux_lectura = list([aux_lista[0], aux_lista[1], aux_lista[2]]) # columna, altura, lectura
	items_procesado.append(aux_lectura)
	## Tenemos que crear en memoria el contenido de nuestro archivo excel. Funciona distinto a *.txt
wb = openpyxl.workbook.Workbook()
ws = wb.create_sheet("Lecturas pasillo")
ws.cell(row=0, column=0, value="Columna")
ws.cell(row=0, column=1, value="Altura")
ws.cell(row=0, column=2, value="Contenido")
r = 1
for dato in items_procesado:
	ws.cell(row=r, column=0, value=dato[0]) #columna
    ws.cell(row=r, column=1, value=dato[1]) #altura
    ws.cell(row=r, column=2, value=dato[2]) #lectura
    r = r + 1
wb.save("")